QGIS Application - Bug report #13966

error executing init function if project and function is located in directory containing non ascii
characters

2015-12-09 04:37 AM - Bo Victor Thomsen

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.12.0 Regression?: No
Operating System: Windows 7 Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 21980
Description

If you create a project including a init function and locate the files in a directory containing non-ascii characters QGIS will fail to execute
the init function with the following error:

An error occured during execution of following code:
import tekster4

Traceback (most recent call last):
File™, line 1, in
File "C:/qgis212/apps/qgis-rel-dev/./python\\qgis\\utils.py", line 572, in _import
mod = _builtin_import(name, globals, locals, fromlist, level)
ImportError: No module named tekster4

Python version:
2.7.5 (default, May 15 2013, 22:44:16) [MSC v.1500 64 bit (AMD64)]

QGIS version:
2.12.0-Lyon 'Lyon', 946e560

Python path:

['C:/qgis212/apps/qgis-rel-dev/./python/plugins\\\processing', 'C:/qgis212/apps/qgis-rel-dev/./python’,
u'C:/Users/bvtho/.qgis2/python’, u'C:/Users/bvtho/.qgis2/python/plugins', 'C:/qgis212/apps/qgis-rel-dev/./python/plugins’,
'C:\Wqggis212\\W\bin\Wpython27.zip', 'C:\\\qgis212\\\apps\\\Python27\\\DLLs', 'C:\\\qgis212\\\apps\\\\Python27\\\\lib',
'C:\W\ggis212\\\apps\\\\Python27\\\lib\Wplat-win', 'C:\\\ggis212\\\apps\\\Python27\\\lib\\\lib-tk', 'C:\\\qgis212\\\\bin',
'C:\Wqggis212\\\apps\\WPython27', 'C:\\\\qgis212\\\apps\\\Python27\\\\lib\\\\site-packages’,
'C:\\Wqggis212\\\apps\\WPython27\\\lib\\site-packages\\\PIL',
'C:\\\qggis212\\apps\\\Python27\\\lib\\\\site-packages\\\\jinja2-2.7.2-py2.7.egg’,
'C:\\Wqggis212\\\apps\\\Python27\\\lib\\\\site-packages\\\\markupsafe-0.23-py2.7-win-amd64.egg',
'C:\\\qggis212\\\apps\\\Python27\\\lib\\\\site-packages\\\\pytz-2012j-py2.7.egd',
'C:\W\qgis212\\W\apps\\\\Python27\\\lib\\\site-packages\\\win32',
'C:\W\qgis212\\W\apps\\\\Python27\\\lib\\\site-packages\\\win32\\\lib',
'C:\\W\qggis212\\\apps\\\Python27\\\lib\\\\site-packages\\\\Pythonwin',
'C:\W\qggis212\\\apps\\\Python27\\\lib\\\\site-packages\\\\six-1.3.0-py2.7.egg’,
'C:\\\qggis212\\\apps\\W\Python27\\\lib\\\site-packages\\\\wx-2.8-msw-unicode', u'C:/Users/bvtho/.qgis2//python’,
'C:\WUsers\\W\bvtho\\\.qgis2\\\python\\\\plugins\\\\Digitizing Tools\\\\tools',
'C:\\Wqggis212\\\apps\\\\qgis-rel-dev\\\\python\\plugins\\fTools\\\tools', 'C:/temp/test/unicode \\xc3\\xa6 \\xc3\\xb8 \\xc3\\xa5']

... and 3 other errors following the first one
Steps to reproduce the error:

Extract the zip file test.zip. It contains 2 directories named "ae oe aa" and "se g &". The 2 directory contains copies of the exact same

project and init function. The project contains one layer "labels" and the init function is used with this layer ie. digitizing new elements into
the layer

The project in directory "ae oe aa" works without a hitch but the project in directory "ee @ &" fails with the abovementioned error.

Tested on windows 7 /QGIS 2.8.2 64 bit and QGIS 2.12 64 bit

History

#1 - 2017-05-01 01:06 AM - Giovanni Manghi
- Easy fix? set to No
- Regression? set to No

#2 - 2017-09-22 10:07 AM - Jiirgen Fischer

- Category set to Unknown

#3 - 2019-03-09 03:07 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help
you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and
support the project even more, for the long term improvement and sustainability of the QGIS project.

Files

test.zip 21.7 KB 2015-12-09 Bo Victor Thomsen
